Name: H5Pget_fapl_multi
Signature:
  herr_t `H5Pget_fapl_multi`( hid_t `fapl_id`, const H5FD_mem_t *`memb_map`, const hid_t *`memb_fapl`, const char **`memb_name`, const haddr_t *`memb_addr`, hbool_t *`relax` )
Purpose:
  Returns information about the multi-file access property list.
Description:
  `H5Pget_fapl_multi` returns information about the multi-file access property list.
Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
const H5FD_mem_t *`memb_map` | OUT: Maps memory usage types to other memory usage types.
const hid_t *`memb_fapl` | OUT: Property list for each memory usage type.
const char **`memb_name` | OUT: Name generator for names of member files.
const haddr_t *`memb_addr` | OUT: The offsets within the virtual address space, from 0 (zero) to `HADDR_MAX`, at which each type of data storage begins.
hbool_t *`relax` | OUT: Allows read-only access to incomplete file sets when `TRUE`.

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.
Fortran90 Interface: h5pget_fapl_multi_f

      SUBROUTINE h5pget_fapl_multi_f(prp_id, memb_map, memb_fapl, memb_name,
                                     memb_addr, relax, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T),INTENT(IN)   :: prp_id    ! Property list identifier

        INTEGER,DIMENSION(0:H5FD_MEM_NTYPES_F-1),INTENT(OUT)          :: memb_map
        INTEGER(HID_T),DIMENSION(0:H5FD_MEM_NTYPES_F-1),INTENT(OUT)   :: memb_fapl
        CHARACTER(LEN=*),DIMENSION(0:H5FD_MEM_NTYPES_F-1),INTENT(OUT) :: memb_name
        REAL, DIMENSION(0:H5FD_MEM_NTYPES_F-1), INTENT(OUT)           :: memb_addr
                     ! Numbers in the interval [0,1) (e.g. 0.0 0.1 0.5 0.2 0.3 0.4)
                     ! real address in the file will be calculated as X*HADDR_MAX

        LOGICAL, INTENT(OUT) :: relax
        INTEGER, INTENT(OUT) :: hdferr           ! Error code
                                                 ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_fapl_multi_f

History:

Release | C
1.4.0 | Function introduced in this release.